[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Please unblock haskell-devscripts 0.6.15

* Arjan Oosting [Sat, 17 Jan 2009 15:44:26 +0100]:

> Hi,

> A lot of Haskell libraries FTBFS after the last upload of GHC6. The
> upstream version of GHC changed from 6.8.2 to 6.8.2dfsg which broke 
> haskell-devscripts and as such a lot of Haskell libraries. (See #512063)

> I have uploaded a new version of haskell-devscripts (0.6.15) to unstable
> to fix this bug and I would like to see this version shipped in Lenny.

> I just noticed that the version in unstable is newer than the version in
> testing:

> 	arjan@reddwarf:~/debian/results$ rmadison haskell-devscripts
> 	haskell-devscripts |     0.5.15 |     etch-m68k | source, all
> 	haskell-devscripts |     0.5.15 |        stable | source, all
> 	haskell-devscripts |     0.6.13 |       testing | source, all
> 	haskell-devscripts |     0.6.14 |      unstable | source, all

> The changes between 0.6.13 and 0.6.14 are small: Only two bug fixes 
> and a change to the man page, see change log below and attached diff.

> Can you let this version into lenny or do I need to prepare an upload
> voor t-p-u? An upload for t-p-u does not really make sense IMO as 
> Haskell libraries which use haskell-devscripts are build with the
> version 
> in unstable anyway.

(JFTR, unblocked by Luk a while ago.)

Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
Hay quien sueña con la alquimia
que haga del vicio virtud
                -- Luis Eduardo Aute, Giraluna

Reply to: